> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Importar um arquivo do enterprise blueprint

> Importa um arquivo anexo (material para substituição de variáveis de ambiente) para o blueprint.

Retorna 409 se o nome de variável de ambiente derivado entrar em conflito com outro arquivo ativo.

<div id="permissions">
  ## Permissões
</div>

Requer um usuário de serviço com a permissão `ManageAccountSnapshots` em nível Enterprise.

<div id="behavior">
  ## Comportamento
</div>

Importa um arquivo para o blueprint Enterprise. Os arquivos são referenciados no YAML do blueprint e ficam disponíveis durante os builds do snapshot.


## OpenAPI

````yaml pt-BR/v3-openapi.yaml POST /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files
openapi: 3.1.0
info:
  description: API Devin v3 com autenticação de usuário de serviço e RBAC
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/enterprise/snapshot-setup/blueprints/{blueprint_id}/files:
    post:
      tags:
        - snapshot_setup
      summary: Importar um arquivo do enterprise blueprint
      description: >-
        Importa um arquivo anexo (material para substituição de variáveis de
        ambiente) para o blueprint.


        Retorna 409 se o nome de variável de ambiente derivado entrar em
        conflito com outro arquivo ativo.
      operationId: >-
        upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post
      parameters:
        - in: path
          name: blueprint_id
          required: true
          schema:
            title: Blueprint Id
            type: string
        - in: query
          name: name
          required: true
          schema:
            title: Name
            type: string
      requestBody:
        content:
          multipart/form-data:
            schema:
              $ref: >-
                #/components/schemas/Body_upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BlueprintFile'
          description: Resposta bem-sucedida
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erro de validação
components:
  schemas:
    Body_upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post:
      properties:
        file:
          format: binary
          title: File
          type: string
      required:
        - file
      title: >-
        Body_upload_enterprise_blueprint_file_endpoint_v3beta1_enterprise_snapshot_setup_blueprints__blueprint_id__files_post
      type: object
    BlueprintFile:
      description: Formato do recurso público ``BlueprintFile``.
      properties:
        blueprint_id:
          title: Blueprint Id
          type: string
        created_at:
          title: Created At
          type: integer
        env_var_name:
          title: Env Var Name
          type: string
        file_id:
          title: File Id
          type: string
        name:
          title: Name
          type: string
        size_bytes:
          title: Size Bytes
          type: integer
        updated_at:
          title: Updated At
          type: integer
      required:
        - file_id
        - blueprint_id
        - name
        - env_var_name
        - size_bytes
        - created_at
        - updated_at
      title: BlueprintFile
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'Credencial de usuário de serviço (prefixo: cog_)'
      scheme: bearer
      type: http

````